;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Embedding of the sort <T> into Int
;; T-embedding-template.smt

 :extrafuns  ((embed_<T>__Int <T> Int)
              (disembed_<T>__Int Int <T>))
 :assumption (forall (?x <T>)
                     (= (disembed_<T>__Int (embed_<T>__Int ?x)) ?x)
                     :pat { (embed_<T>__Int ?x) })

;; End: Embedding of the sort <T> into Int
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
